Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodegetnextsiblingnull Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodegetnextsiblingnull (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

If there is not a node immediately following this node the

"getNextSibling()" method returns null.

Retrieve the first child of the second employee and

invoke the "getNextSibling()" method. It should

be set to null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-6AC54C2F

Definition at line 51 of file nodegetnextsiblingnull.java.

## Constructor & Destructor Documentation

nodegetnextsiblingnull::nodegetnextsiblingnull | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 53 of file nodegetnextsiblingnull.java.
    00054  {
    00055       super(factory);
    00056
    00057    }

## Member Function Documentation

String nodegetnextsiblingnull::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 73 of file nodegetnextsiblingnull.java.
    00073                                 {
    00074       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodegetnextsiblingnull";
    00075    }

void nodegetnextsiblingnull::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 76 of file nodegetnextsiblingnull.java. References DOMTestCase::doMain().
    00076                                           {
    00077         DOMTestCase.doMain(nodegetnextsiblingnull.class,args);
    00078    }

void nodegetnextsiblingnull::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 59 of file nodegetnextsiblingnull.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00059                                                     {
    00060       Document doc;
    00061       NodeList elementList;
    00062       Node employeeNode;
    00063       Node lcNode;
    00064       Node nsNode;
    00065       doc = load("staff");
    00066       elementList = doc.getElementsByTagName("employee");
    00067       employeeNode = elementList.item(1);
    00068       lcNode = employeeNode.getLastChild();
    00069       nsNode = lcNode.getNextSibling();
    00070       assertNull("nodeGetNextSiblingNullAssert1",nsNode);
    00071
    00072    }

The documentation for this class was generated from the following file:

- nodegetnextsiblingnull.java